Skip to content

Modify Default Configuration Status



POST /api/v1/account/status/modify

Overview

Body Request Parameters

Parameter Name Type Required Description
accountStatus string Y Account status working-on duty mute-on vacation
Example: working
Allow null: False
Allow empty string: True

Parameter Supplementary Description

Request Example

curl 'https://openapi.truewatch.com/api/v1/account/status/modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"accountStatus":"working"}'\
--compressed

Response

{
    "code": 200,
    "content": {
        "name": "xxx",
        "username": "xxxx",
        "email": "xxxx",
        "mobile": "xxx",
        "exterId": "xxx",
        "extend": {
            "lastLoginTime": 1770118534
        },
        "source": "local",
        "nameSpace": "",
        "isUsed": 1,
        "agreeTerms": 0,
        "canaryPublic": false,
        "enableMFA": true,
        "mfaSecret": "*********************",
        "language": "zh",
        "tokenHoldTime": 604800,
        "tokenMaxValidDuration": 2592000,
        "timezone": "",
        "attributes": {},
        "customAttributes": {},
        "statusPageSubs": 0,
        "defaultWorkspace": null,
        "brandKey": "truewatch",
        "scheduleMobile": "",
        "scheduleEmail": "",
        "ifScheduleMobileEnable": false,
        "ifScheduleEmailEnable": false,
        "accountStatus": "working",
        "id": 3404,
        "uuid": "acnt_xxx",
        "status": 0,
        "creator": "extend",
        "updator": "acnt_xxx",
        "createAt": 1721204694,
        "deleteAt": -1,
        "updateAt": 1770183209.0309908
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "xxx"
}